from tkinter import *
from math import sin   
def solver(a,b):                          
        s=0
        i=0
        while i<=3.14:
            s+=sin(i)*(b-a)/100
            i=i+(b-a)/100            
        text = "Площадь арки синусоиды is: %s \n" % (s)  
        return text                                                               
def inserter(value):
    """ Inserts specified value into text widget """
    output.delete("0.0","end")
    output.insert("0.0",value)    

def clear(event):
    """ Clears entry form """
    caller = event.widget
    caller.delete("0", "end")

def handler():
    """ Get the content of entries and passes result to the text """
    try:
        # make sure that we entered correct values
        a_val = float(a.get())
        b_val = float(b.get())
        inserter(solver(a_val, b_val))
    except ValueError:
        inserter("Make sure you entered 2 numbers")

root = Tk()
root.title("площади трапеций")
root.minsize(325,230)
root.resizable(width=False, height=False)


frame = Frame(root)
frame.grid()

a = Entry(frame, width=3)
a.grid(row=1,column=1,padx=(10,0))
a.bind("<FocusIn>", clear)
a_lab = Label(frame, text=" a ").grid(row=1,column=2)

b = Entry(frame, width=3)
b.bind("<FocusIn>", clear)
b.grid(row=1,column=3)
b_lab = Label(frame, text=" b ").grid(row=1, column=4)


but = Button(frame, text=" Площадь", command=handler).grid(row=1, column=7, padx=(10,0))

output = Text(frame, bg="lightyellow", font="Arial 12", width=35, height=10)
output.grid(row=2, columnspan=8)

root.mainloop()
