from tkinter import *
import math 

def solver(v0,al,s):
        g=9.8
        l=2
        x=v0*v0*math.sin(2*al*3.14/180)/g
        if (x>=s) and (x<=(s+l)):
             text = "Попадание  Коорд X is: %s \n Дальность is: %s \n " % (round(x), s) 
        elif x<s:
             text = "Недолет Коорд X is: %s \n Дальность is: %s \n" % (round(x), s)
        elif x>(s+l):
             text = "Перелет Коорд X is: %s \n Дальность is: %s \n" % (round(x), s)             
        return text                                                               
def inserter(value):
    """ Inserts specified value into text widget """
    output.delete("0.0","end")
    output.insert("0.0",value)    

def clear(event):
    """ Clears entry form """
    caller = event.widget
    caller.delete("0", "end")

def handler():
    """ Get the content of entries and passes result to the text """
    try:
        # make sure that we entered correct values
        v0_val = float(v0.get())
        al_val = float(al.get())
        s_val = float(s.get())
        inserter(solver(v0_val, al_val, s_val))
    except ValueError:
        inserter("Make sure you entered 3 numbers")

root = Tk()
root.title("Движение тела под углом к горизонту")
root.minsize(325,230)
root.resizable(width=False, height=False)


frame = Frame(root)
frame.grid()

v0 = Entry(frame, width=3)
v0.grid(row=1,column=1,padx=(10,0))
v0.bind("<FocusIn>", clear)
v0_lab = Label(frame, text="нач V0").grid(row=1,column=2)

al = Entry(frame, width=3)
al.bind("<FocusIn>", clear)
al.grid(row=1,column=3)
al_lab = Label(frame, text="угол град").grid(row=1, column=4)

s= Entry(frame, width=3)
s.bind("<FocusIn>", clear)
s.grid(row=1, column=5)
s_lab = Label(frame, text="Расстояние s").grid(row=1, column=6)

but = Button(frame, text="СТАРТ", command=handler).grid(row=1, column=7, padx=(10,0))

output = Text(frame, bg="lightyellow", font="Arial 12", width=35, height=10)
output.grid(row=2, columnspan=8)

root.mainloop()
